import { AfterViewInit, ElementRef, EventEmitter, NgZone, OnChanges, OnDestroy, Renderer2, SimpleChange } from "@angular/core";
import Plyr from "plyr";
import { PlyrDriver } from "../plyr-driver/plyr-driver";
import * as i0 from "@angular/core";
export declare class PlyrComponent implements AfterViewInit, OnChanges, OnDestroy {
    private elementRef;
    private ngZone;
    private renderer;
    private playerChange;
    get player(): Plyr;
    private events;
    plyrDriver: PlyrDriver;
    plyrType: Plyr.MediaType;
    plyrTitle: string;
    plyrPoster: string;
    plyrSources: Plyr.Source[];
    plyrTracks: Plyr.Track[];
    plyrOptions: Plyr.Options;
    plyrCrossOrigin: boolean;
    plyrPlaysInline: boolean;
    private vr;
    plyrInit: EventEmitter<Plyr>;
    plyrProgress: EventEmitter<Plyr.PlyrEvent>;
    plyrPlaying: EventEmitter<Plyr.PlyrEvent>;
    plyrPlay: EventEmitter<Plyr.PlyrEvent>;
    plyrPause: EventEmitter<Plyr.PlyrEvent>;
    plyrTimeUpdate: EventEmitter<Plyr.PlyrEvent>;
    plyrVolumeChange: EventEmitter<Plyr.PlyrEvent>;
    plyrSeeking: EventEmitter<Plyr.PlyrEvent>;
    plyrSeeked: EventEmitter<Plyr.PlyrEvent>;
    plyrRateChange: EventEmitter<Plyr.PlyrEvent>;
    plyrEnded: EventEmitter<Plyr.PlyrEvent>;
    plyrEnterFullScreen: EventEmitter<Plyr.PlyrEvent>;
    plyrExitFullScreen: EventEmitter<Plyr.PlyrEvent>;
    plyrCaptionsEnabled: EventEmitter<Plyr.PlyrEvent>;
    plyrCaptionsDisabled: EventEmitter<Plyr.PlyrEvent>;
    plyrLanguageChange: EventEmitter<Plyr.PlyrEvent>;
    plyrControlsHidden: EventEmitter<Plyr.PlyrEvent>;
    plyrControlsShown: EventEmitter<Plyr.PlyrEvent>;
    plyrReady: EventEmitter<Plyr.PlyrEvent>;
    plyrLoadStart: EventEmitter<Plyr.PlyrEvent>;
    plyrLoadedData: EventEmitter<Plyr.PlyrEvent>;
    plyrLoadedMetadata: EventEmitter<Plyr.PlyrEvent>;
    plyrQualityChange: EventEmitter<Plyr.PlyrEvent>;
    plyrCanPlay: EventEmitter<Plyr.PlyrEvent>;
    plyrCanPlayThrough: EventEmitter<Plyr.PlyrEvent>;
    plyrStalled: EventEmitter<Plyr.PlyrEvent>;
    plyrWaiting: EventEmitter<Plyr.PlyrEvent>;
    plyrEmptied: EventEmitter<Plyr.PlyrEvent>;
    plyrCueChange: EventEmitter<Plyr.PlyrEvent>;
    plyrError: EventEmitter<Plyr.PlyrEvent>;
    plyrStateChange: EventEmitter<Plyr.PlyrEvent>;
    private subscriptions;
    private driver;
    private videoElement;
    constructor(elementRef: ElementRef<HTMLDivElement>, ngZone: NgZone, renderer: Renderer2);
    ngOnChanges(changes: {
        [p in keyof PlyrComponent]?: SimpleChange;
    }): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    private initPlyr;
    private updatePlyrSource;
    private createLazyEvent;
    private destroyPlayer;
    private get hostElement();
    private ensureVideoElement;
    private on;
    private off;
    static ɵfac: i0.ɵɵFactoryDeclaration<PlyrComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PlyrComponent, "plyr, [plyr]", ["plyr"], { "plyrDriver": { "alias": "plyrDriver"; "required": false; }; "plyrType": { "alias": "plyrType"; "required": false; }; "plyrTitle": { "alias": "plyrTitle"; "required": false; }; "plyrPoster": { "alias": "plyrPoster"; "required": false; }; "plyrSources": { "alias": "plyrSources"; "required": false; }; "plyrTracks": { "alias": "plyrTracks"; "required": false; }; "plyrOptions": { "alias": "plyrOptions"; "required": false; }; "plyrCrossOrigin": { "alias": "plyrCrossOrigin"; "required": false; }; "plyrPlaysInline": { "alias": "plyrPlaysInline"; "required": false; }; }, { "plyrInit": "plyrInit"; "plyrProgress": "plyrProgress"; "plyrPlaying": "plyrPlaying"; "plyrPlay": "plyrPlay"; "plyrPause": "plyrPause"; "plyrTimeUpdate": "plyrTimeUpdate"; "plyrVolumeChange": "plyrVolumeChange"; "plyrSeeking": "plyrSeeking"; "plyrSeeked": "plyrSeeked"; "plyrRateChange": "plyrRateChange"; "plyrEnded": "plyrEnded"; "plyrEnterFullScreen": "plyrEnterFullScreen"; "plyrExitFullScreen": "plyrExitFullScreen"; "plyrCaptionsEnabled": "plyrCaptionsEnabled"; "plyrCaptionsDisabled": "plyrCaptionsDisabled"; "plyrLanguageChange": "plyrLanguageChange"; "plyrControlsHidden": "plyrControlsHidden"; "plyrControlsShown": "plyrControlsShown"; "plyrReady": "plyrReady"; "plyrLoadStart": "plyrLoadStart"; "plyrLoadedData": "plyrLoadedData"; "plyrLoadedMetadata": "plyrLoadedMetadata"; "plyrQualityChange": "plyrQualityChange"; "plyrCanPlay": "plyrCanPlay"; "plyrCanPlayThrough": "plyrCanPlayThrough"; "plyrStalled": "plyrStalled"; "plyrWaiting": "plyrWaiting"; "plyrEmptied": "plyrEmptied"; "plyrCueChange": "plyrCueChange"; "plyrError": "plyrError"; "plyrStateChange": "plyrStateChange"; }, never, never, false, never>;
}
